{
  "groups": [
    {
      "name": "spring.datasource.druid",
      "type": "net.yyc.common.datasource.config.DruidDataSourceProperties",
      "sourceType": "net.yyc.common.datasource.config.DruidDataSourceProperties"
    }
  ],
  "properties": [
    {
      "name": "spring.datasource.druid.driver-class-name",
      "type": "java.lang.String",
      "description": "数据源驱动",
      "sourceType": "net.yyc.common.datasource.config.DruidDataSourceProperties"
    },
    {
      "name": "spring.datasource.druid.password",
      "type": "java.lang.String",
      "description": "数据源密码",
      "sourceType": "net.yyc.common.datasource.config.DruidDataSourceProperties"
    },
    {
      "name": "spring.datasource.druid.query-ds-sql",
      "type": "java.lang.String",
      "description": "查询数据源的SQL",
      "sourceType": "net.yyc.common.datasource.config.DruidDataSourceProperties",
      "defaultValue": "select * from gen_datasource_conf where del_flag = 0"
    },
    {
      "name": "spring.datasource.druid.url",
      "type": "java.lang.String",
      "description": "jdbcurl",
      "sourceType": "net.yyc.common.datasource.config.DruidDataSourceProperties"
    },
    {
      "name": "spring.datasource.druid.username",
      "type": "java.lang.String",
      "description": "数据源用户名",
      "sourceType": "net.yyc.common.datasource.config.DruidDataSourceProperties"
    }
  ],
  "hints": []
}